Package org.sonatype.maven.polyglot.mapping

## Class XmlMapping

- java.lang.Object
- - org.sonatype.maven.polyglot.mapping.MappingSupport
  - - org.sonatype.maven.polyglot.mapping.XmlMapping

All Implemented Interfaces:
  `Mapping`

    @Component(role=Mapping.class,
               hint="xml")
    public class XmlMapping
    extends MappingSupport

Xml model mapping.

Since:
  0.7
Author:
  Jason Dillon

### Field Summary

### Fields inherited from interface org.sonatype.maven.polyglot.mapping.Mapping

`ARTIFACT_ID_PROPERTY, DESCRIPTION_PROPERTY, GROUP_ID_PROPERTY, NAME_PROPERTY, PACKAGING_PROPERTY, PROPERTY_PREFIX, URL_PROPERTY, VERSION_PROPERTY`

### Constructor Summary

Constructors
`XmlMapping()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `accept​(java.util.Map<java.lang.String,​?> options)` Tests weather this mapping accepts the given option

### Methods inherited from class org.sonatype.maven.polyglot.mapping.MappingSupport

`getAcceptLocationExtensions, getAcceptOptionKeys, getFlavour, getLocation, getPomNames, getPriority, getReader, getWriter, locatePom, setAcceptLocationExtensions, setAcceptOptionKeys, setPomNames, setPriority`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.sonatype.maven.polyglot.mapping.Mapping

`getEnhancementProperties`

### Constructor Detail

#### XmlMapping

    public XmlMapping()

### Method Detail

#### accept

    public boolean accept​(java.util.Map<java.lang.String,​?> options)

Description copied from interface: `Mapping`
Tests weather this mapping accepts the given option

Specified by:
  `accept` in interface `Mapping`
Overrides:
  `accept` in class `MappingSupport`
Parameters:
  `options` - the options to use
Returns:
  `true` if options are accepted, `false` otherwise